Create a new AudienceMemberStripePaymentMethod

Create a new payment-method for the given audience member.

This operation is the 3rd step in creating a new payment-method that can be used to pay-by-text.
It is called after the client has created a stripe-setup-intent and confirmed it via Stripe.

This is the step where the payment-method in Stripe is combined with the billing and shipping
address information in Parrot. Since mobile phone numbers sometimes change, Parrot requires
that the full credit card number (or debit card, etc...) is present and verified by Stripe
when adding a new address. This prevents someone from inheriting a mobile phone number with
a Parrot account and simply changing the shipping address while making charges with the prior
owners payment-method.

Steps to add a payment-method (this operation in bold):

  • create a new stripe-setup-intent (ParrotAPI)

    • POST /api/v2/audience-members/me/stripe-setup-intents
  • confirm the stripe-setup-intent (Stripe JavaScript SDK)

  • create a new stripe-payment-method (ParrotAPI)

    • POST /api/v2/audience-members/me/stripe-payment-intents

Note: unless preferred is set to false the new payment-method will become the "preferred"
payment-method by default.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Success

Create a new Stripe payment_method for an audience_member.

string
required

City, district, suburb, town, or village.

string
enum
required

Two-letter country code (ISO 3166-1 alpha-2).

Allowed:
string
required

Address line 1 (e.g., street, PO Box, or company name).

string | null

Address line 2 (e.g., apartment, suite, unit, or building).

string
required

Recipient name.

string
required

ZIP or postal code.

string
enum
required

State, county, province, or region.

boolean
Defaults to true

When true this payment-method will be available for use directly via text/SMS without
typing all the data in again. This value is true by default so any new payment-method
will become the preferred payment-method unless this is set to false.

string
required

City, district, suburb, town, or village.

string
enum
required

Two-letter country code (ISO 3166-1 alpha-2).

Allowed:
string
required

Address line 1 (e.g., street, PO Box, or company name).

string | null

Address line 2 (e.g., apartment, suite, unit, or building).

string
required

Recipient name.

string
required

ZIP or postal code.

string
enum
required

State, county, province, or region.

string
required

The ID of the new Stripe payment_method record to associate with this resource.

string
required

The ID of the finalized Stripe setup_intent record associated with the new payment_method.

Responses

Callback
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json